#ifndef cSprite_H
#define cSprite_H

#include <ddraw.h>

class cSprite{
private:
protected:
	LPDIRECTDRAWSURFACE pDDS;
	int xAdjust, yAdjust;

public:
	cSprite();
	virtual ~cSprite();

	// Àü´ÞµÈ 
	bool BindScreen(LPDIRECTDRAW pDD);
	bool CreateClone(LPDIRECTDRAW pDD, cSprite *pSprite);

	void Release();

	bool LoadBitmap(LPDIRECTDRAW pDD,	LPCSTR szBitmap);
	void SetAdjust(int _xAdjust, int _yAdjust){ xAdjust = _xAdjust; yAdjust = _yAdjust; }

	HRESULT BltAdjust(int x, int y,
		cSprite *pSprite, DWORD dwFlags);
	operator LPDIRECTDRAWSURFACE(){ return pDDS; }
	LPDIRECTDRAWSURFACE GetDDS(){ return pDDS; }

};

#endif
